<template>
  <div class="grid-container">
    <v-card class="mx-auto" max-width="1000">
      <h1>คณะกรรมการ</h1>
      <v-container fluid>
        <v-row dense>
          <v-col v-for="card in cards" :key="card.title" :cols="card.flex">
            <v-card>
              <v-img :src="card.src" class="align-end" gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)" height="300px"
                cover>
                <v-card-title class="text-white" v-text="card.title"></v-card-title>
              </v-img>
              <v-card-actions>

                <v-spacer></v-spacer>

                <v-btn size="small" color="surface-variant" variant="text" icon="mdi-heart"></v-btn>

                <v-btn size="small" color="surface-variant" variant="text" icon="mdi-bookmark"></v-btn>

                <v-btn size="small" color="surface-variant" variant="text" icon="mdi-share-variant"></v-btn>
              </v-card-actions>
            </v-card>
          </v-col>
        </v-row>
      </v-container>
    </v-card>

    <iframe class="video" width="560" height="315" src="https://www.youtube.com/embed/acZ8ZJXcEIw"
      title="YouTube video player" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
      allowfullscreen></iframe>
  </div>
</template>
<script>
export default {
  data: () => ({
    cards: [
      { title: 'พล.อ. ประวิตร วงษ์สุวรรณ', src: 'https://pprp.or.th/wp-content/uploads/2021/11/01-prawit-wongsuwan-01.png', flex: 12 },
      { title: 'ไพบูลย์ นิติตะวัน ', src: 'https://pprp.or.th/wp-content/uploads/2021/11/%E0%B8%99%E0%B8%B2%E0%B8%A2%E0%B9%84%E0%B8%9E%E0%B8%9A%E0%B8%B9%E0%B8%A5%E0%B8%A2%E0%B9%8C-%E0%B8%99%E0%B8%B4%E0%B8%95%E0%B8%B4%E0%B8%95%E0%B8%B0%E0%B8%A7%E0%B8%B1%E0%B8%99-1024x1024.jpeg', flex: 6 },
      { title: 'ชัยวุฒิ ธนาคมานุสรณ์', src: 'https://pprp.or.th/wp-content/uploads/2021/11/pprp-17-chaiwut-thanakmanusorn-1024x1024.jpeg', flex: 6 },
      { title: 'สันติ พร้อมพัฒน์', src: 'https://pprp.or.th/wp-content/uploads/2021/11/pprp-santi-prompat-1024x1024.jpeg', flex: 6 },
      { title: 'วิรัช รัตนเศรษฐ', src: 'https://pprp.or.th/wp-content/uploads/2021/11/%E0%B8%99%E0%B8%B2%E0%B8%A2%E0%B8%A7%E0%B8%B4%E0%B8%A3%E0%B8%B1%E0%B8%8A-%E0%B8%A3%E0%B8%B1%E0%B8%95%E0%B8%99%E0%B9%80%E0%B8%A8%E0%B8%A3%E0%B8%A9%E0%B8%90-1024x1024.jpeg', flex: 6 },
    ],
  }),
}

</script>



<style>
h1 {
  text-align: center;
}

.video {
  margin: auto;
  margin-top: 2rem;
}

.grid-container {
  display: grid;
  grid-column-gap: 0.5rem;
  grid-row-gap: 0.5;
}

@media (min-width: 659px) {
  .grid-container {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (min-width: 1902px) {
  .grid-container {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* *{
  background-image:url(https://www.pprp.or.th/wp-content/uploads/2021/11/Palang_Pracharath_Logo-1.png) ;
 } */</style>